# Source code for azure.mgmt.authorization.models.classic_administrator

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft and contributors.  All rights reserved.
    #
    # Licensed under the Apache License, Version 2.0 (the "License");
    # you may not use this file except in compliance with the License.
    # You may obtain a copy of the License at
    # http://www.apache.org/licenses/LICENSE-2.0
    #
    # Unless required by applicable law or agreed to in writing, software
    # distributed under the License is distributed on an "AS IS" BASIS,
    # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    #
    # See the License for the specific language governing permissions and
    # limitations under the License.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class ClassicAdministrator(Model):
        """
        Classic Administrators

        :param id: Gets or sets the classic administrator id.
        :type id: str
        :param name: Gets or sets the classic administrator name.
        :type name: str
        :param type: Gets or sets the classic administrator type.
        :type type: str
        :param properties: Gets or sets the classic administrator properties.
        :type properties: :class:`ClassicAdministratorProperties
         <azure.mgmt.authorization.models.ClassicAdministratorProperties>`
        """

        _attribute_map = {
            'id': {'key': 'id', 'type': 'str'},
            'name': {'key': 'name', 'type': 'str'},
            'type': {'key': 'type', 'type': 'str'},
            'properties': {'key': 'properties', 'type': 'ClassicAdministratorProperties'},
        }

        def __init__(self, id=None, name=None, type=None, properties=None):
            self.id = id
            self.name = name
            self.type = type
            self.properties = properties